## sip4-tqt 14.1.0

=== debian/changelog ===
sip4-tqt (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Jan 2023 13:23:20 +0100

sip4-tqt (4.10.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 22 Nov 2011 03:03:00 -0600

Local variables:
mode: debian-changelog
End:
