## sip4-tqt 14.1.4

=== debian/changelog ===
sip4-tqt (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 06 Apr 2025 16:43:24 +0200
