## sip4-tqt 14.1.5

=== debian/changelog ===
sip4-tqt (4:14.1.5-0ubuntu24.10.0+0) oracular; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 24 Jul 2025 11:34:27 +0200
