## sip4-tqt 14.1.6~pre0

=== debian/changelog ===
sip4-tqt (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 390e31ffb6d92d4cd73eafba0edea826e08d5d6f
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 24 Jul 2025 11:34:27 +0200
