## sip4-tqt 14.1.6~pre2

=== debian/changelog ===
sip4-tqt (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for b94c394b25033bdcad96abb0fb9ad9ca14ea43bf
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 16:03:21 +0100
