## sip4-tqt 14.1.6~pre3

=== debian/changelog ===
sip4-tqt (4:14.1.6~pre3-0ubuntu25.10.0+1) questing; urgency=low

  * Automated git build for 626049392b0a8c309d6ea156e5e5861418908676
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 04 Feb 2026 01:48:29 +0100

sip4-tqt (4:14.1.6~pre2-0) forky; urgency=low

  * Strip all packages - including sip-tqt-dev.
  * Remove unnecessary forcing of owner change during installation.
  * The epoch change is for historical reasons from the KDE3 era.

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 03 Feb 2026 00:24:35 +0100
