## sip4-tqt 14.2.0~pre20

=== debian/changelog ===
sip4-tqt (4:14.2.0~pre20-0ubuntu25.10.0+6) questing; urgency=low

  * Automated git build for 531ba264faa49a4d347b07be7bde2c08e9bc5afc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 24 Jul 2025 11:28:46 +0200
