=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>, Bernd Zeimetz <bzed@debian.org>, Michael Casadevall <mcasadevall@debian.org>
-Build-Depends: debhelper (>= 10~), python3-all-dev, python3-all-dbg, python3-setuptools, dh-python, libtqtinterface-dev, bison, flex
+Build-Depends: debhelper (>= 10~), python3-all-dev, python3-all-dbg, python3-setuptools, dh-python, libtqt3-mt-dev, bison, flex
 Standards-Version: 3.8.4
 XS-Python-Version: all
 X-Python3-Version: >= 3.0
