## sip4-tqt 14.2.0~pre22

=== debian/changelog ===
sip4-tqt (4:14.2.0~pre22-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 3dbaadc96ee4c36873791e59798d9b6fae76337e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Jan 2026 10:48:24 +0100
