## sip4-tqt 14.2.0~pre23

=== debian/changelog ===
sip4-tqt (4:14.2.0~pre23-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for b74d65ee302a42286d2319fed7187524d6486ca1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#sip4-tqt

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 03 Feb 2026 19:55:23 +0100
