=== debian/control ===
--- 
+++ 
@@ -6,8 +6,6 @@
 Uploaders: Torsten Marek <shlomme@debian.org>, Bernd Zeimetz <bzed@debian.org>, Michael Casadevall <mcasadevall@debian.org>
 Build-Depends: debhelper (>= 10~), python3-all-dev, python3-all-dbg, python3-setuptools, dh-python, libtqt3-mt-dev, bison, flex
 Standards-Version: 3.8.4
-XS-Python-Version: all
-X-Python3-Version: >= 3.0
 
 Package: python3-sip-tqt
 Architecture: any
@@ -62,7 +60,7 @@
 Package: sip-tqt-dev
 Architecture: any
 Section: python
-Depends: ${python3:Depends}, ${shlibs:Depends}
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Breaks: python-sip-tqt-dev (<< 4:14.1.0~)
 Recommends: python3-sip-tqt-dev
 Description: Python/C++ bindings generator development files
